/* course.less */

/*Custom Classes*/
.top-buffer-1 {
	margin-top: 10px !important;
}

.top-buffer-2 {
	margin-top: 20px !important;
}

.top-buffer-3 {
	margin-top: 30px !important;
}

.top-buffer-4{
	margin-top: 40px !important;
}
.card {
	padding: 2.5rem;
	box-shadow: 0 1px 2px rgba(170, 170, 170, 0.3);
	background: white;
	margin: 25px 1rem 1rem;
	border-radius: 3px;
}
.material-button,
.material-button:hover,
.material-button:focus,
.material-button:active,
.material-button:active:hover,
.material-button:active:focus {
	position: relative;
	z-index: 1;
	top: 0;
	border: none;
}
.material-button-toggle {
	z-index: 3;
	text-align: center;
	padding: 5px 15px;
	margin-bottom: 5px;
}

/*--------------------*/
.page-ribbon {
	.media {
		padding: 10px 15px;
		background: #3c8dbc;
		color: white;
		.media-body {
			vertical-align: middle;
		}
	}
}

.course-content {
	
	ul li.section ul.section {
		margin: 15px;
	}

	.topics, .weeks {
		li.section ul.section {
			display: none;
			&.open {
				display: block;
			}
			.btn-group {
				.btn.dropdown-toggle:active:focus{
					background-color: transparent;
					border: 0;
					box-shadow: none;
				}
			}
		}
	}
	
	.media.course-wrapper {
		border-top: 3px solid #ddd;
		.media-heading {
			font-weight: 600;
			margin-bottom: 15px;
		}
		.media-body {
			padding-left: 10px;
		}
	}
	.media {
		input[type="radio"], input[type="checkbox"] {
			position: absolute;
			left: -999em;
		}

		input[type="checkbox"] + label:before, input[type="radio"] + label:before {
			width: 18px;
			height: 18px;
			display: inline-block;
			position: relative;
			top: 0.2em;
			content: '';
			margin-right: 5px;
			border: 1px solid #aaa;
			background: white;
		}

		input[type="checkbox"]:checked + label:before, input[type="radio"]:checked + label:before {
			background: #fff url('remui/img/form-img.png') no-repeat;
			background-size: 36px;
		}
		.media-checkbox-content.media-left,
		.toggle-btn-wrapper.media-right {
			vertical-align: middle;
		}

	}
}

.single-topic-page {
	.navigation {
		.select-navigation {
			background: white;
			padding: 5px 10px;
			cursor: pointer;
		}
	}
}
/*------------------------------------------------------------*/
/* COURSE CONTENT */
.section_add_menus {
	text-align: right;
	optgroup {
		font-weight: normal;
		font-style: italic;
	}
	.urlselect {
		margin-left: .4em;
		select {
			margin-left: .2em;
		}
		img.iconhelp {
			padding: 0;
			margin: 0;
			vertical-align: text-bottom;
		}
	}
}
.section_add_menus .horizontal div,.section_add_menus .horizontal form {
	display: inline;
}

.section {
	.spinner {
		height: 16px;
		width: 16px;
	}
	.activity {
		.spinner {
			left: 100%;
			position: absolute;
			vertical-align: text-bottom;
		}

		.editing_move {
			/* Move the move icon to the start of the line */
			position: absolute;
			left: 0;
			top: 0;

		}

		/* The command block for each activity */
		.actions {
			position: absolute;
			right: 0;
			top: 0;


			> * {
				margin-left: 15px;
			}

			.menubar > * {
				margin-left: 15px;
			}
		}

		.contentwithoutlink,
		.activityinstance {

			min-width: 40%;
			display: table-cell;
			padding-right: 4px;
			min-height: 2em;

			// a img {
			// 	padding-right: 5px;
			// }

			.instancename {
				padding-right: 5px;
			}

			.dimmed {
				img.activityicon {
					opacity: 0.5;
					filter: alpha(opacity=50);
				}
			}
		}
	}
	.label {
		text-align: left;
		.contentwithoutlink,
		.activityinstance {
			padding-right: 32px;
			display: block;
			height: inherit;
		}

		.mod-indent-outer {
			padding-left: 0px;
			display: block;


		}
	}
    // Hide the filler, this makes edit buttons jump
    .filler {
    	display: none;
    }

    .activity.editor_displayed {
    	a.editing_title,
    	.moodle-actionmenu {
    		display: none;
    	}
    	div.activityinstance {
    		padding-right: initial;

    		input {
    			margin-bottom: initial;
    			padding-top: initial;
    			padding-bottom: initial;
    			vertical-align: text-bottom;
    		}
    	}
    }
}

.activity img.activityicon {
	// margin-right: 6px;
	padding-right: 5px;
}

.section .activity .activityinstance,
.section .activity .activityinstance div {
	display: inline-block;
}
.editing {

	.section .controls {
		a img {
			box-sizing: initial;
		}
	}

	.section .activity {
		.contentwithoutlink,
		.activityinstance {
			padding-right: 200px;
		}
		.mod-indent-outer {
			padding-left: 32px;
		}
		&:hover,
		&.action-menu-shown {
			background-color: @gray-lighter;
		}
	}
	.course-content ul li.section.main {
		.left,
		.right {
			display: inherit;
		}
	}
}

.editing_show + .editing_assign,
.editing_hide + .editing_assign {
    // if roles icon missing, add space
    margin-left: 20px;
}

.section {
	.activity {
		.commands {
			white-space: nowrap;
			display: inline-block;
		}
		.activityinstance {
			.groupinglabel {
				padding-left: 30px;
			}
		}
		.contentafterlink {
			p {
				margin: .5em 0;
			}
		}
	}
	.activity.modtype_label.label {
		font-weight: normal;
		padding: .2em;
	}
	li.activity {
		padding: 5px 0;
		clear: both;

		border-bottom: 1px solid #eee;
		.dropdown-menu {
			padding: 0;
			border: 1px solid #eee;
			border-radius: 0;
			right: 0;
			left: auto;
			li {
				border-bottom: 1px solid #eee;
				a:hover {
					color:  #3c8dbc;
					background-color: transparent;
				}
			}
		}

		&:last-child {
			border-bottom: 0;
		}
	}

	img.movetarget {
		height: 16px;
		width: 80px;
	}
}
.section .activity .availabilityinfo,.section .activity .contentafterlink {
	margin-top: 0.5em;
	margin-left: 30px;
}


.course-content {
	margin-top: 0;
	.current {
		background-color: @state-info-bg;
	}
	.section-summary {
		margin-top: 5px;
		list-style: none;
		.section-title {
			margin: 2px 5px 10px 5px;
		}
		.summarytext {
			margin: 2px 5px 2px 5px;
		}
		.section-summary-activities {
			.activity-count {
				.text-muted;
				font-size: @font-size-small;
				margin: 3px;
				white-space: nowrap;
				display: inline-block;
			}
		}
		.summary {
			margin-top: 5px;
		}
	}
	.single-section {
		margin-top: 1em;

		.section-navigation {
			display: block;
			padding: 0.5em;
			margin-bottom: -0.5em;
			.title {
				font-weight: bold;
				font-size: 108%;
				clear: both;
			}
			.mdl-left {
				font-weight: normal;
				float: left;
				margin-right: 1em;
				.larrow {
					margin-right: 0.1em;
				}
			}
			.mdl-right {
				font-weight: normal;
				float: right;
				margin-left: 1em;
				.rarrow {
					margin-left: 0.1em;
				}
			}
			.mdl-bottom {
				margin-top: 0;
			}
		}
	}

	.section-modchooser {
		.make-lg-column(12);
		float: none!important;
		.clearfix();

		@media (max-width: @screen-sm-max) {
			text-align: center;
			margin-top: 5px;
		}
	}

	.section-modchooser-link a {
		.btn;
		.btn-default;
		.btn-sm;
		.btn-flat;
		font-size: 13px;
	}

	ul {
		li.section.main {
			margin-top: 0;
			.left {
				padding-top: 5px;
			}
			.left, .right {
				display: none;
			}
		}
		li.section.hidden {
			.opacity(.5);
		}
	}
}
.course-content ul.topics,
.course-content ul.weeks {
	padding: 0;
	li.section {

		margin-bottom: 35px;
		.content {
			.nominheight;
			margin-right: 0px;
			margin-left: 0px;
			padding:15px 0;
			.toggle-btn-wrapper{
				text-align: center;
				
				@media (max-width: @screen-sm-min) {
					padding: 5px;
				}
			}
		}
	}
}

.course-content {
	li.section .content {
		.nominheight;
	}
}

.path-course-view {
	.completionprogress {
		margin-left: 25px;
		display: block;
		// height: 20px;
		position: inherit;
		z-index: 1000;
		text-align: right;
	}
	a.reduce-sections {
		padding-left: 0.2em;
	}
	.subscribelink {
		text-align: right;
	}
	.unread {
		margin-left: 30px;
	}
	.block.drag {
		.header {
			cursor: move;
		}
	}
	.single-section {
		.completionprogress {
			margin-right: 5px;
		}
	}
	li.activity {
		span.autocompletion {
			img {
				// vertical-align: text-bottom;
			}
		}
		form.togglecompletion {
			img {
				max-width: none;
			}
			.ajaxworking {
				width: 16px;
				height: 16px;
				position: absolute;
				right: 22px;
				top: 3px;
				background: url([[pix:i/ajaxloader]]) no-repeat;
			}
		}
	}
}
#page-site-index {
	.subscribelink {
		text-align: right;
	}
}
#site-news-forum h2,#frontpage-course-list h2,#frontpage-category-names h2,#frontpage-category-combo h2 {
	margin-bottom: 9px;
}
.path-site li.activity &>div,.path-course-view li.activity &>div {
	position: relative;
	padding: 0 16px 0 0;
}
li.section.hidden span.commands a.editing_hide,li.section.hidden span.commands a.editing_show {
	cursor: default;
}

.single-section {
	h3.sectionname {
		text-align: center;
		clear: both;
	}
}
input.titleeditor {
	width: 330px;
	vertical-align: text-bottom;
}
span.editinstructions {
	position: absolute;
	top: 0;
	margin-top: -22px;
	margin-left: 30px;
	line-height: 16px;
	font-size: @font-size-small;
	padding: .1em .4em;
	background-color: @state-info-bg;
	color: @state-info-text;
	text-decoration: none;
	z-index: 9999;
	box-shadow: 2px 2px 5px 1px #ccc;
	border: 1px solid @state-info-border;
}
#dndupload-status {
	position: absolute;
	top: @navbar-height + 2px;
	.alert;
	.alert-info;
	left: 50%;
	width: 30em;
	margin-left: -15em;
	box-shadow: 2px 2px 5px 1px rgba(0,0,0,0.2);
	.border-top-radius(0);
    z-index: -1; // to slide under navbar;
}
.dndupload-preview {
	color: #909090;
	border: 1px dashed #909090;
	list-style: none;
	margin-top: .2em;
	padding: .3em;
	img.icon {
		vertical-align: text-bottom;
		padding: 0;
	}
}
.dndupload-progress-outer {
	.progress;
}
.dndupload-progress-inner {
	.progress-bar;
}
.dndupload-hidden {
	display: none;
}
#page-course-pending .singlebutton,#page-course-index .singlebutton,#page-course-index-category .singlebutton,#page-course-editsection .singlebutton {
	text-align: center;
}
#page-admin-course-manage {
	#movecourses {
		td {
			img {
				margin: 0 .22em;
				vertical-align: text-bottom;
			}
			img.icon {
				padding: 0;
			}
		}
	}
}
#page-course-pending {
	.pendingcourserequests {
		margin-bottom: 1em;
		.singlebutton {
			display: inline;
		}
		.cell {
			padding: 0 5px;
		}
		.cell.c6 {
			white-space: nowrap;
		}
	}
}

.coursebox {
	position: relative;
	img.courseimage {
		.img-rounded;
		float: left;
		height: auto;
		margin-right: 10px;
		max-width: 140px;
	}
	.teachers {
		li {
			list-style-type:none;
			padding:0;
			margin:0;
		}
	}
	.coursebtncont {
		text-align: right;
	}

	.boxfooter {
		clear: both;
		margin-bottom: 30px;
	}
	.enrolmenticons {
		float: right;
		img {
			padding: 0 5px;
		}
	}
}

.coursebox.remotehost {
	& > .info {
		& > .categoryname {
			a {
				background-image:url([[pix:moodle|i/mnethost]]);
			}
		}
	}
}
.coursebox {
	.content {
		clear:both;
		.teachers {
			li {
				list-style-type:none;
				padding:0;
				margin:0;
			}
		}
		.coursecat {
			text-align:right;
			clear:right;
		}
		.coursecat,
		.summary,
		.courseimage,
		.coursefile,
		.teachers,
		.visitlink {
			margin: 3px 5px;
			padding:0;
		}
		.courseimage {
			img {
				max-width:100px;
				max-height:100px;
			}
		}
	}
	.enrolmenticons {
		float:right;
		img {
			margin:0 .2em;
		}
	}
	.moreinfo {
		padding:3px 7px;
	}
	.remotecoursebox {
		.remotecourseinfo {
			float:left;
			width: 40%;
			margin:3px 5px;
			padding:0;
		}
	}
	&.collapsed {
		margin-bottom:5px;
		padding: 0;
		& > .content {
			display:none;
		}
	}
}


.course_category_tree {
	.courses {
		& > .paging.paging-morelink:hover {
			background-color:#eee;
		}
	}
	.category {
		.numberofcourse {
			font-size: @font-size-small;
		}
		& > .info {
			.well;
			min-height:0;
			padding:0;
			margin:3px 0;
			margin-bottom:3px;
			clear: both;
			& > .categoryname {
				/*rtl:remove*/
				background-image: url([[pix:moodle|t/collapsed_empty]]);
				/*rtl:raw:
				background-image: url([[pix:moodle|t/collapsed_empty_rtl]]);
				*/
				background-repeat: no-repeat;
				padding: 2px 18px;
				margin: 3px;
				background-position: left;
			}
		}
		& > .content {
			padding-left:16px;
		}
	}
	.controls {
		visibility: hidden;
		margin-bottom:5px;
		text-align:right;
		float:right;
		div {
			display:inline;
			cursor:pointer;
			padding-right:2em;
			font-size:75%;
		}
	}
	.category.with_children {
		& > .info {
			& > .categoryname {
				background-image: url([[pix:t/expanded]]);
				cursor: pointer;
				line-height: 30px;
			}
		}
	}
	.category.with_children.collapsed {
		& > .info {
			& > .categoryname {
				/*rtl:raw:
				background-image: url([[pix:moodle|t/collapsed_rtl]]);
				*/
				/*rtl:remove*/
				background-image: url([[pix:moodle|t/collapsed]]);
			}
		}
	}
	.category.collapsed {
		& > .content {
			display: none;
		}
	}
	.paging.paging-morelink {
		a {
			font-size: @font-size-small;
		}
	}
}
.jsenabled {
	.course_category_tree {
		.controls {
			visibility: visible;
		}
	}
}
.course_category_tree.frontpage-category-names {
	.category {
		& > .info {
			background:none;
			border:none;
			margin:0;
		}
	}
}
.course_category_tree .subcategories &>.paging,.courses &>.paging {
	margin:0;
	padding:5px;
	text-align:center;
}
.courses &>.paging.paging-morelink,.course_category_tree .subcategories &>.paging.paging-morelink {
	text-align:left;
}
#page-course-index-category {
	.generalbox.info {
		margin-bottom: 15px;
		border: 1px dotted #ddd;
		border-radius: 4px;
		padding: 5px;
	}
	.categorypicker {
		text-align: right;
		margin: 10px 0 20px;
	}
}

.section {
	.summary,
	.activity {
		.iconsmall {
			width: 16px;
			height: 16px;
		}
	}
/*	.moodle-actionmenu {
		.iconsmall {
			max-width: none !important; /** reset sets 100% !important which breaks on IE8 without this !important */
		/*	width:21px;
			height:21px;
			padding: 4px;
			vertical-align: bottom;
		}
	}*/
	.moodle-actionmenu[data-enhanced] {
		.menu {
			img {
				width: 21px;
				height: 21px;
			}
		}
	}
}

// colors updated from core, now
// using table color variables mostly
#course-category-listings {
	background-color: @table-bg;
	margin-bottom: 200px;

	ul.ml ul.ml {
		margin: 0;
		padding: 0;
	}

	/** Two column layout */
	&.columns-2 {
		> #course-listing > div {
			position: relative;
			left: -1px;
		}
	}
	/** Three column layout */
	&.columns-3 > #course-listing > div {
		height: 100%;
	}

	> div > div {
		min-height: 300px;
		border: 1px solid @table-border-color;
		> ul.ml > li:first-child > div {
			border-top: 0;
		}
	}
	h3 {
		margin: 0;
		padding: 0.4em;
		background-color: @panel-default-heading-bg;
		color: @panel-default-text;
		border-bottom: 1px solid @panel-inner-border;
	}
	h4 {
		margin: 1rem 0 0;
		padding: .6rem 1rem .5rem;
	}
	.moodle-actionmenu {
		white-space: nowrap;
	}

	.moodle-actionmenu[data-enhance] {
		.toggle-display {
			img {
				width: auto;
			}
			&.textmenu {
				padding-right: 4px;

				.caret {
					margin-top: 12px;
				}
			}
		}
	}

	.listing-actions {
		text-align: center;
		padding: .4rem .3rem .3rem;
		line-height: 2.2em;
		color: transparent;
		> .moodle-actionmenu {
			display: inline-block;
			.menu a {
				padding-left: 1rem;
			}
		}
		.moodle-actionmenu:not([data-enhanced]) {
			li {
				line-height: normal;
			}
			> .menubar a {
				color: inherit;
				display: inline-block;
				> img {
					display: none;
				}
				.caret {
					display: none;
				}
			}
			> .menu .menu-action-text {
				display: inline-block;
			}
		}
	}
	ul.ml {
		list-style: none;
		margin: 1rem 0;
		ul.ml {
			margin: 0;
		}
	}
	li {
		line-height: 2.2em;
		> div {
			&:hover {
				background-color: @table-bg-hover;
			}
		}
		.tree-icon {
			margin: 2px 6px 0 0;
			width: 12px;
			vertical-align: inherit;
		}
		&[data-selected='1'] {
			> div {
				background-color: @state-info-bg;
				border-top-color: @table-border-color;
				border-bottom-color: @table-border-color;
			}
			li:first-of-type > div,
			&[data-expandable='0']+li > div {
				border-top-color: @table-border-color;
			}
			&:last-of-type > div {
				border-bottom-color: @table-border-color;
			}
		}

        // Tree item indenting to represent depth.
        .tree-icon {margin-left:0;}
        li .tree-icon {margin-left:1em;}
        li li .tree-icon {margin-left:2em;}
        li li li .tree-icon {margin-left:3em;}
        li li li li .tree-icon {margin-left:4em;}
        li li li li li .tree-icon {margin-left:4.5em;}
        li li li li li li .tree-icon {margin-left:5em;}
        li li li li li li li .tree-icon {margin-left:5.5em;}

        &+li > div,
        &:first-child > div {
        	border-top-color: @table-border-color;
        }
    }

    .item-actions {
    	// float: left;
    	margin-right:1em;
    	display: inline-block;
    	img {
    		margin: 0 4px;
    		height:12px;
    		padding: 0;
    		vertical-align: inherit;
    	}
    	&.show .menu {
    		a {
    			padding:4px 1em 4px 4px;
    		}
    		img {
    			width: 12px;
    			max-width:none;
    		}
    	}
    	.menu-action-text {
    		vertical-align: inherit;
    	}
    }

    .listitem {
    	> div {
    		> .float-left {
    			float:left;
    		}
    		> .float-right {
    			float:right;
    			text-align:right;
    		}
    		.item-actions {
    			.action-show {
    				display:none;
    			}
    			.action-hide {
    				display:inline;
    			}
    		}
    		.without-actions {
    			color: @text-color;
    		}
    		.idnumber {
    			color:@text-color;
    			margin-right:2em;
    		}
    	}
        // The category or course is hidden.
        &[data-visible="0"] {
        	.text-muted;
        	a.categoryname {
        		.text-muted;
        	}
        	> div {
        		> a {
        			.text-muted;
        		}
        		.item-actions {
        			.action-show {
        				display:inline;
        			}
        			.action-hide {
        				display:none;
        			}
        		}
        	}
        	> ul .item-actions.category-item-actions {
                // If the category is hidden hide both show and hide icons for sub categories.
                .action-hide,
                .action-show {
                	display: none;
                }
            }
        }
        &.highlight {
        	background-color:transparent;
        	> div,
        	> div:hover,
        	&[data-selected='1'] > div {
        		background-color: @state-success-bg;
        	}
        }
    }

    #course-listing {
    	.listitem {
    		.categoryname {
    			display: inline-block;
    			margin-left: 1em;
    			color: @text-color;
    		}
    		.coursename {
    			display: inline-block;
    		}
    		> div {
    			padding-left: 1rem;
    		}
    	}
    	> .firstpage .listitem:first-child > div .item-actions .action-moveup,
    	> .lastpage .listitem:last-child > div .item-actions .action-movedown {
    		display: none;
    	}
    	.bulk-action-checkbox {
    		margin: -2px 6px 0 0;
    	}

    	.course-listing > ul > .listitem:first-child {
    		position: relative;
    	}

    	.course-bulk-actions{
    		margin: 0 0.5em 0.5em;
    		position: relative;
    		.detail-pair {
    			div {
    				padding: 5px 0 5px 0;
    			}
    		}
    	}

    	input[type="submit"]{
    		vertical-align: bottom;
    	}
    }

    #category-listing {
    	.listitem.collapsed > ul.ml {
    		display: none;
    	}
    	.listitem {
    		> div {
    			> .ba-checkbox {
    				width: 2.2em;
    				text-align: center;
    				margin: -1px 0.5em 0 0;
    				padding-top: 2px;
    			}
    		}
    		&.highlight > div > .ba-checkbox {
    			background-color: @state-success-bg;
    		}
    		&[data-selected='1'] > div > .ba-checkbox {
    			margin: 0 0.5em 0 0;
    			padding: 0;
    			background-color: inherit;
    		}
    		&:first-child > div .item-actions .action-moveup,
    		&:last-child > div .item-actions .action-movedown {
    			display: none;
    		}
    	}
    	.course-count {
    		color: @text-color;
    		margin-right: 2rem;
    		min-width: 3.5em;
    		display: inline-block;
    		.smallicon {
    			width: 12px;
    			margin-left: 4px;
    			vertical-align: inherit;
    		}
    	}
    	.bulk-action-checkbox {
    		margin-right: -3px;
    	}
    	.category-listing > ul > .listitem:first-child {
    		position: relative;
    	}
    	.category-bulk-actions{
    		margin: 0 0.5em 0.5em;
    		position: relative;
    		.detail-pair {
    			div {
    				padding: 5px 0 5px 0;
    			}
    		}
    	}
    }

    .detail-pair {
    	border-bottom:1px solid @table-border-color;
    	margin: 0;
    	padding:10px 0;
    	> * {
    		display: inline-block;
    		line-height: 2.2rem;
    	}
    	.pair-key {
    		font-weight: bold;
    		vertical-align: top;
    		span {
    			margin-right: 1rem;
    			display: block;
    		}
    	}
    	.pair-value select {
    		max-width: 100%;
    	}
    }

    .bulk-actions .detail-pair {
    	> * {
    		display: block;
    		width: 100%;
    	}
    }

    .listing-pagination {
    	text-align: center;
    	.yui3-button {
    		background-color: @btn-default-bg;
    		color: @btn-default-color;
    		border: 0;
    		margin: .4rem .2rem .45rem;
    		font-size: 10.4px;
    		&.active-page {
    			background-color: @btn-primary-bg;
    			color: @btn-primary-color;
    		}
    	}
    }
    .listing-pagination-totals {
    	text-align: center;
    	&.dimmed {
    		.text-muted;
    		margin: .4rem 1rem .45rem;
    	}
    }
    .select-a-category .notifymessage,
    .select-a-category .alert {
    	margin: 1em;
    }
}

#course-category-listings #course-listing .listitem .drag-handle {
	display: none;
}
.jsenabled #course-category-listings #course-listing .listitem .drag-handle {
	display: inline-block;
	margin: 0 6px 0 0;
	cursor: pointer;
}

/** Management header styling **/
.coursecat-management-header {
	vertical-align: middle;
	h2 {
		display: inline-block;
		text-align: left;
	}
	> div {
		display: inline-block;
		float: right;
		line-height: 40px;
		> div {
			margin-left: 1em;
			margin: 10px 0;
			display: inline-block;
		}
	}
	select {
		max-width: 300px;
		cursor: pointer;
		padding: 0.4em 0.5em 0.45em 1em;
		vertical-align: baseline;
		white-space: nowrap;
	}
	.view-mode-selector {
		.moodle-actionmenu {
			white-space: nowrap;
			display: inline-block;
		}
		.moodle-actionmenu[data-enhanced].show .menu a {
			padding-left: 1em;
		}
	}
}
.course-being-dragged-proxy {
	border: 0;
	color: @link-color;
	vertical-align: middle;
	padding: 0 0 0 4em;
}
.course-being-dragged {
	.opacity(.5);
}

@media (min-width: 1200px) and (max-width: 1600px) {
 	#course-category-listings.columns-3 {
 		background-color:transparent;
 		border:0;

 		#category-listing,
 		#course-listing {
 			width:50%;
 		}
 		#category-listing > div,
 		#course-listing > div,
 		#course-detail > div {
 			border:1px solid #e1e1e8;
 			background-color:#fff;
 			font-size: 16px;
 		}
 		#course-detail {
 			width: 100%;
 			margin-top: 3em;
 		}
 	}

 }

 @media (max-width: 1199px) {
 	#course-category-listings.columns-2,
 	#course-category-listings.columns-3 {
 		background-color:transparent;
 		border:0;
 		#category-listing,
 		#course-listing,
 		#course-detail {
 			width:100%;
 			margin:0 0 1em;
 		}
 		#category-listing > div,
 		#course-listing > div,
 		#course-detail > div {
 			border:1px solid #e1e1e8;
 			background-color:#fff;
 		}
 	}
 }
// To give padding in the quick links
.m-b-5 {
	text-align: center;
	height: 2em;
	>a{
		padding:0px 10px;
		font-size: 10px;
		color: black;
		line-height: 2em;

	}
	>a:hover{
		opacity: 0.7;
	}
}
.thumbnail .caption p {
	height:60px;
}

.media-left-img {
	width: 100%;
	height: auto;
}
.course-filter, .course-cat-desc{
	margin-bottom: 15px;
}

.course-cat-desc .no-overflow {
	background: #eee;
	padding: 10px;
}

.course-grid {
	word-wrap: break-word;
	.box {
		border: 0;
		.box-header.wdm-course-img{
			text-align: center;
			height: 150px;			
			cursor: pointer;
			position: relative;
			-ms-transition: all 0.4s ease-in-out;
			transition: all 0.4s ease-in-out;
			.wdm-course-img-info {
				position: absolute;
				background: rgba(0, 0, 0, 0.3);
				width: 100%;
				height: inherit;
				opacity: 0;
				-ms-transition: all 0.4s ease-in-out;
				transition: all 0.4s ease-in-out;
				-ms-transform: scale(0);
				transform: scale(0);
				-webkit-backface-visibility: hidden;
				h3 {
					text-transform: uppercase;
					letter-spacing: 2px;
					font-size: 22px;
					margin-top: 25%;
					a {
						color: #fff !important;
						text-shadow: 0 0 1px #fff, 0 1px 2px rgba(0,0,0,0.3);
					}
				}
			}
			&:hover {
				.wdm-course-img-info {
					-ms-transform: scale(1);
					transform: scale(1);
					opacity: 1;
				}
			}
		}

		.box-body {
			background: @grid-bg;
			padding: 15px 20px;
    		line-height: 24px;
			> h4 {
				margin-top: 0;
			    font-weight: normal;
			    line-height: 24px;

			    a {
			    	color: #333;
			    }
			}
		}

		.box-footer {
			background: @grid-bg;
		}
	}

}
.course-detail{
	.listing-actions.course-detail-listing-actions{
		> a:nth-child(1){
			&:extend(.label, .bg-green);
			font-size: 90%;
		}
		> a:nth-child(2){
			&:extend(.label, .bg-red);
			font-size: 90%;
		}
		> a:nth-child(3){
			&:extend(.label, .bg-yellow);
			font-size: 90%;
		}
		> a:nth-child(4){
			&:extend(.label, .bg-red);
			font-size: 90%;
		}
		> a:nth-child(5){
			&:extend(.label, .bg-blue);
			font-size: 90%;
		}
		> a:nth-child(6){
			&:extend(.label, .bg-green);
			font-size: 90%;
		}
		> a:nth-child(7){
			&:extend(.label, .bg-yellow);
			font-size: 90%;
		}
	}
}
.jumpmenu {
	select.autosubmit.jumpmenu {
		display: inline !important;
	}
}
/* Removing the margin from the search box in course archive page */
.wdm_search {

	@media (max-width: @screen-xs-max) {
		margin-top: 10px;
	}

	div:first-child {
		padding: 0!important;
	}
	.sidebar-form {
		margin: 0;
		border: 1px solid #ccc;
		input[type="text"], .btn {
			background-color: #FFF;
		}
	}
}
a.wdm_course {
	color: black;
	&:hover{
		color: grey;
	}
}
.course-filter {
	form select{
		height: 37px;
		width: 100%;
		max-width: 100%;
	}
}


/* fix image size for section actions */
.section-actions a.btn-box-tool {
	img {
		width: 14px;
		height: auto;
	}
}

// .course-overlay-close {
//     width: 27px;
//     height: 27px;
//     background-image: url([[pix:theme|close_x]]);
//     margin-left: 10px;
// }

